a:4:{i:0;s:78:"The PDO extension is required for this adapter but the extension is not loaded";i:1;s:1536:"#0 /home/fnmvhnvj/public_html/lib/Zend/Db/Adapter/Abstract.php(247): Zend_Db_Adapter_Pdo_Abstract->setFetchMode(2)
#1 /home/fnmvhnvj/public_html/app/code/core/Mage/Core/Model/Resource.php(165): Zend_Db_Adapter_Abstract->__construct(Array)
#2 /home/fnmvhnvj/public_html/app/code/core/Mage/Core/Model/Resource.php(110): Mage_Core_Model_Resource->_newConnection('pdo_mysql', Object(Mage_Core_Model_Config_Element))
#3 /home/fnmvhnvj/public_html/app/code/core/Mage/Core/Model/Resource/Db/Abstract.php(320): Mage_Core_Model_Resource->getConnection('core_write')
#4 /home/fnmvhnvj/public_html/app/code/core/Mage/Core/Model/Resource/Db/Abstract.php(350): Mage_Core_Model_Resource_Db_Abstract->_getConnection('write')
#5 /home/fnmvhnvj/public_html/app/code/core/Mage/Core/Model/Resource/Db/Abstract.php(335): Mage_Core_Model_Resource_Db_Abstract->_getWriteAdapter()
#6 /home/fnmvhnvj/public_html/app/code/core/Mage/Core/Model/Resource/Config.php(55): Mage_Core_Model_Resource_Db_Abstract->_getReadAdapter()
#7 /home/fnmvhnvj/public_html/app/code/core/Mage/Core/Model/Config.php(354): Mage_Core_Model_Resource_Config->loadToXml(Object(Mage_Core_Model_Config))
#8 /home/fnmvhnvj/public_html/app/code/core/Mage/Core/Model/Config.php(260): Mage_Core_Model_Config->loadDb()
#9 /home/fnmvhnvj/public_html/app/code/core/Mage/Core/Model/App.php(270): Mage_Core_Model_Config->init(Array)
#10 /home/fnmvhnvj/public_html/app/Mage.php(640): Mage_Core_Model_App->init('', 'store', Array)
#11 /home/fnmvhnvj/public_html/index.php(80): Mage::init()
#12 {main}";s:3:"url";s:1:"/";s:11:"script_name";s:10:"/index.php";}
  • Acaba de arreglar este problema/bug
  • Upvoted para volver a 0 😀
  • También asegúrese de MySQL, el nombre de usuario y la contraseña son correctos dentro de app/etc/local.xml

4 Comentarios

  1. 17

    Asegúrese de que usted tiene un php.archivo ini con las siguientes líneas cerca de la parte inferior:

    Código:

    extension=pdo.so
    extension=pdo_sqlite.so
    extension=sqlite.so
    extension=pdo_mysql.so

    Si usted no tiene este archivo, vaya a cPanel -> Software/Servicios -> configuración de PHP -> Instalar php.ini archivo maestro. Usted también puede querer configurar su cuenta para el uso de la «PHP5 (php único.ini)» opción en configuración de PHP.

    Si estos pasos no ayudan, me gustaría tratar de ponerse en contacto con el soporte, ya que parecen haber tenido algunos problemas se Refieren ENLACE

    quisiera saber si me puede ayudar más.

    • tienen que comprobar es allí cualquier public_html nivel de php.ini ?
    • comprueba que no php.ini isse
    • pls refieren stackoverflow.com/questions/2386575/…
    • Instalar el PDO módulo para su motor de base de datos, el uso de los PECL. Por ejemplo: pecl install pdo pecl install pdo_mysql
    • instalado el módulo de pdo
    • sólo se fija por mí en Cuestión index.php archivo
    • La adición de este directamente en mi public_html archivo de php.ini funcionó a la perfección. Muchas gracias!
    • si mi respuesta es útil para usted.es upvote. 🙂
    • Esto funcionó para mí, así. Gracias!

  2. 0

    Como se está diciendo que la extensión pdo no está cargado debe cargar extensión pdo de php.ini

  3. 0

    Hemos utilizado

    extensión=pdo.así

    extensión=pdo_mysql.así

    extension=php_pdo.dll

    extension=php_pdo_mssql.dll

    Se está trabajando muy bien.

  4. 0

    Para cargar el pdo.así y pdo_mysql.así, en EasyApache (apache Actualización) de la carga del uso propio perfil y elegir a partir de una Exhaustiva Lista de Opciones
    🙂

Dejar respuesta

Please enter your comment!
Please enter your name here